<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\ProductionCharacteristic;
use App\Models\User;

class ProductionCharacteristicPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any ProductionCharacteristic');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ProductionCharacteristic $productioncharacteristic): bool
    {
        return $user->checkPermissionTo('view ProductionCharacteristic');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create ProductionCharacteristic');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ProductionCharacteristic $productioncharacteristic): bool
    {
        return $user->checkPermissionTo('update ProductionCharacteristic');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ProductionCharacteristic $productioncharacteristic): bool
    {
        return $user->checkPermissionTo('delete ProductionCharacteristic');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any ProductionCharacteristic');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ProductionCharacteristic $productioncharacteristic): bool
    {
        return $user->checkPermissionTo('restore ProductionCharacteristic');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any ProductionCharacteristic');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, ProductionCharacteristic $productioncharacteristic): bool
    {
        return $user->checkPermissionTo('replicate ProductionCharacteristic');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder ProductionCharacteristic');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ProductionCharacteristic $productioncharacteristic): bool
    {
        return $user->checkPermissionTo('force-delete ProductionCharacteristic');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any ProductionCharacteristic');
    }
}
